Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen.function
Class ConcatFunction

    java.lang.Object
      org.jaxen.function.ConcatFunction

All Implemented Interfaces:
  Function

public class ConcatFunction
extends Object
implements Function

4.2 `string concat(string,string,string*)`

Concatenates its arguments and returns the resulting string.

Author:
  bob mcwhirter (bob@werken.com)
See Also:
  Section 4.2 of the XPath Specification

Constructor Summary
`ConcatFunction()` Create a new `ConcatFunction` object.

Method Summary
`Object` | `call(Context context, List args)` Concatenates the arguments and returns the resulting string.
`static String` | `evaluate(List list, Navigator nav)` Converts each item in the list to a string and returns the concatenation of these strings.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConcatFunction

    public ConcatFunction()

  Create a new `ConcatFunction` object.

Method Detail

### call

    public Object call(Context context,
                       List args)
                throws FunctionCallException

  Concatenates the arguments and returns the resulting string. Non-string items are first converted to strings as if by the XPath `string()`function.

  ``
  Specified by:
    `call` in interface `Function`
  Parameters:
    `context` - the context at the point in the expression when the function is called
    `args` - the list of strings to be concatenated
  Returns:
    a `String` containing the concatenation of the items of `args`
  Throws:
    `FunctionCallException` - if `args` has less than two items

### evaluate

    public static String evaluate(List list,
                                  Navigator nav)

  Converts each item in the list to a string and returns the concatenation of these strings. If necessary, each item is first converted to a `String` as if by the XPath `string()` function.

  Parameters:
    `list` - the items to be concatenated
    `nav` - ignored
  Returns:
    the concatenation of the arguments

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.